ECHO OFF
CLS
REM **********file UNARC.BAT*****************************************
REM
REM INSTRUCTIONS
REM ------------
REM
REM REQUIRED:
REM
REM     1. Existence of directories C:\ARC and C:\TEMP
REM     2. Use of PKUNPAK or PKXARC unarchive utility
REM     3. File to unarchive must reside in C:\ARC
REM
REM To unarchive a template, just type
REM
REM UNARC template [d]
REM
REM where "template" represents the name of the template (a file
REM ending with extension ".arc").  Do not type the extension ".arc",
REM as ARC.BAT takes care of that.  (Also, do not type "REM ", as
REM this is a batch file's "REMark" line.)
REM
REM "[d]" is the drive location you are currently in...necessary to
REM return you to your location after running UNARC.BAT.  Typing "d"
REM is optional...if you don't indicate the drive, you will be left
REM in whatever drive this batch program uses to create the
REM subdirectory to store the unarchived files. Just type the drive
REM letter without the colon.  (Example:  If you want UNARC.BAT to
REM return you to drive D:, just type "D".)
REM
REM This batch routine assumes that directories C:\ARC and C:\TEMP
REM already exist.  C:\ARC should contain only archive templates.
REM C:\TEMP is your "TEMPorary" directory, under which UNARC.BAT will
REM create a subdirectory by the same name as the template to
REM unarchive.  UNARC.BAT will also copy the template that has been
REM unarchived to this new subdirectory (and erase it from C:\ARC).
REM Your unarchived files, plus the template, will then reside in a
REM new path location all their own...untainted by the existence of
REM any file not part of the template.
REM
REM If you are using floppy drives, and can't afford the luxury of
REM copy the template to the same disk as the unarchived files,
REM change the command lines below, that are indicated as "REM *"
REM
REM This program is set up to use PKUNPAK (to unarchive). If you use
REM PKXARC, replace "PKUNPAK" with the "PKXARC".
REM
REM Also assumed is that your archiving programs (such as PKPAK and
REM PKUNPAK) reside in "C:\PUBLIC".  If you use another location,
REM change "c:\public" to the correct directory.
REM
REM **********Begin UNARC.BAT************************************
ECHO Unarchive (decompress) a Template
ECHO ---------------------------------
ECHO .
ECHO YOU TYPED:  "UNARC %1 %2"
ECHO .
ECHO There should be no ".arc" as part of the template name.
ECHO You will be returned to drive %2:
ECHO .
ECHO If not correct, press CTRL-C to abort.  Otherwise,
PAUSE
CLS
DIR C:\ARC\%1.ARC
ECHO ------------------------------------------------------------
ECHO !!  %1.arc SHOULD be listed  !!
ECHO .
ECHO Directories "C:\ARC" and "C:\TEMP" must already exist, before
ECHO running this batch routine.  %1.ARC should exist.
ECHO .
ECHO SUBDIRECTORY "C:\TEMP\%1" ABOUT TO BE CREATED:
ECHO               [ctrl-c]=abort
ECHO .
PAUSE
CLS
C:
MD \TEMP\%1
DIR C:\TEMP\%1
ECHO ------------------------------------------------------------
ECHO !! "c:\temp\%1" SHOULD be vacant !!
ECHO .
ECHO READY TO 'UNARC' %1.ARC               [ctrl-c]=abort
ECHO .
PAUSE
CLS
ECHO ON

C:\PUBLIC\PKUNPAK C:\ARC\%1 C:\TEMP\%1
ECHO OFF
CLS
REM
REM If your archiving programs (such as "pkpak" and "pkunpak") reside
REM in a directory other than "c:\public", change it to the correct
REM location.

REM * If you are using floppy disks to unarchive, insert REM, followed
REM by a space, before the next two command lines, which begin with
REM "COPY" and "DEL", in order to disable them.  Or, just erase them.

COPY C:\ARC\%1.ARC C:\TEMP\%1
DEL C:\ARC\%1.ARC

ECHO LISTING FILES UNARCHIVED FROM %1.ARC
ECHO ------------------------------------------
ECHO .
PAUSE
DIR C:\TEMP\%1 /P
ECHO ------------------------------------------------------------------
ECHO "%1.arc" and all its files should now reside in "c:\temp\%1"
ECHO .
ECHO UNARCHIVING COMPLETE
ECHO .
PAUSE
%2:
CLS
REM **********End UNARC.BAT****************************************
