ECHO OFF
CLS
REM ----------file VARC.BAT-------------------------------------------
REM
REM INSTRUCTIONS
REM ------------
REM
REM REQUIRED:
REM
REM     1. Location of template in C:\ARC
REM     2. Use of PKUNPAK or PKXARC archive utility
REM
REM To "View" the contents of a template, just type:
REM
REM VARC template
REM
REM where "template" represents the name of the template (a file
REM ending with extension ".arc").  Do not type the extension ".arc",
REM as ARC.BAT takes care of that.  (Also, do not type "REM ", as
REM this is a batch file's "REMark" line.)
REM
REM This batch routine assumes that directory C:\ARC already exists.
REM C:\ARC should contain only archive templates. Naturally, if you
REM prefer to use some other drive and/or directory, change "C:" to
REM the desired drive--likewise "\ARC".
REM
REM Also assumed is that your archiving programs (such as PKPAK and
REM PKUNPAK) reside in "C:\PUBLIC".  If you use another location,
REM change "c:\public" to the correct directory.
REM
REM This program is set up to use PKUNPAK. If you use PKXARC, replace
REM "PKUNPAK" with "PKXARC" in the last line of this batch file.
REM
REM The most recent version of PKUNPAK allows option "-vv", which
REM will also reveal the kind of archiving program used to create the
REM template (by replacing the last column, which would otherwise
REM reveal each file's CRC number).  If you like that option, see if
REM it works on your version of PKUNPAK or PKXARC, by replacing "-v"
REM with "-vv" in the last line of this file.
REM
REM **********Begin VARC.BAT*************************************
ECHO View Archive Contents
ECHO ---------------------------
ECHO .
ECHO YOU TYPED:  "VARC %1"
ECHO .
ECHO There should be no ".arc" as part of the template name.
ECHO If not correct, press CTRL-C to abort.  Otherwise,
PAUSE
CLS

REM ! Do not change "-v" to uppercase, as future versions of PKUNPAK
REM will only work with lowercase switches !

C:\PUBLIC\PKUNPAK -v C:\ARC\%1
